man(1)

NAME
eztrace.preload - performance analysis tool

SYNOPSIS
eztrace.preload [OPTION] COMMAND_LINE

DESCRIPTION
Run COMMAND_LINE and generate an execution trace.

OPTIONS

-d  Run eztrace.old with gdb

-e  Show environment

-p  PadicoTM mode

-m  MPI mode

-t [plugin1 plugin2 ... pluginN]
    Select a list of plugins

-o DIRECTORY
    Select the output DIRECTORY

-l DIRECTORY
    Add DIRECTORY to the list of directories in which eztrace search for plugins

-f  Enable EZTRACE_FLUSH

-?  Display this help and exit

EXAMPLES
$ eztrace.preload -t "memory pthread" ./my_program param1 param2

For MPI programs:
$ mpirun -np 2 `eztrace.preload -m ./my_program` param1 param2

SEE ALSO
eztrace(1), eztrace_cc(1), eztrace_avail(1)

BUGS
eztrace.preload is a fallback launcher for eztrace. It relies on LD_PRELOAD for interception function calls. Thus, it only works for shared libraries.

REPORTING BUGS
Report eztrace bugs to https://gitlab.com/eztrace/eztrace
EZTrace home page: <https://eztrace.gitlab.io/eztrace>

AUTHOR
Francois Trahay (francois.trahay@telecom-sudparis.eu)